%global npmname fstream
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist rimraf mkdirp graceful-fs inherits

Summary: Advanced file system stream things 
Name: nodejs-%{npmname}
Version: 0.1.19
Release: 1%{?dist}
Group: Development/Languages
License: BSD
URL: http://github.com/isaacs/fstream
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-rimraf >= 2
Requires: nodejs-mkdirp >= 0.3
Requires: nodejs-graceful-fs >= 1.1.2
Requires: nodejs-inherits >= 1.0.0
Provides: nodejs-%{npmname} = %{version}

%description
Like FS streams, but with stat on them, and supporting directories and
symbolic links, as well as normal files.  Also, you can use this to set
the stats on a file, even if you don't change its contents, or to create
a symlink, etc.


%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .npmignore .travis.yml fstream.js lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries

%files
%doc LICENCE README.md examples
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.1.19-1
- Initial build using nodejs spec template

